-- 
-- phpMDJ copyright 2007
-- gael.br@gmail.com
-- www.weboac.be
-- 

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_animateurs`
-- 

CREATE TABLE `phpmdj_animateurs` (
  `id_animateur` bigint(20) NOT NULL auto_increment,
  `prenom` varchar(255) NOT NULL default '',
  `nom` varchar(255) NOT NULL default '',
  `adresse` varchar(255) NOT NULL default '',
  `tel` varchar(14) NOT NULL default '/',
  `email` varchar(255) NOT NULL default '/',
  `equipe` tinyint(3) NOT NULL default '0',
  `date` varchar(10) NOT NULL default '',
  `annee` varchar(4) NOT NULL default '',
  `totem` varchar(100) NOT NULL,
  PRIMARY KEY  (`id_animateur`)
);

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_animes`
-- 

CREATE TABLE `phpmdj_animes` (
  `id_anime` int(11) NOT NULL auto_increment,
  `nom` varchar(255) NOT NULL default '',
  `prenom` varchar(255) NOT NULL default '',
  `date` varchar(5) NOT NULL default '',
  `equipe` tinyint(4) NOT NULL default '0',
  `annee` varchar(4) NOT NULL default '',
  `photoOK` char(1) NOT NULL default '0',
  PRIMARY KEY  (`id_anime`)
);

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_auth`
-- 

CREATE TABLE `phpmdj_auth` (
  `id_groupe` bigint(20) NOT NULL auto_increment,
  `nom` varchar(50) NOT NULL,
  `a_admin` varchar(1) NOT NULL,
  `a_site` varchar(1) NOT NULL,
  `a_menu` varchar(1) NOT NULL,
  `a_equipe` varchar(1) NOT NULL,
  `a_animateur` varchar(1) NOT NULL,
  `a_anime` varchar(1) NOT NULL,
  `a_calendrier` varchar(1) NOT NULL,
  `a_banniere` varchar(1) NOT NULL,
  `a_news` varchar(1) NOT NULL,
  `a_download` varchar(1) NOT NULL,
  `a_souper` varchar(1) NOT NULL,
  `a_camp` varchar(1) NOT NULL,
  `a_lien` varchar(1) NOT NULL,
  `a_membre` varchar(1) NOT NULL,
  `a_forum` varchar(1) NOT NULL default '0',
  `a_mdj` varchar(1) NOT NULL default '0',
  `a_bureau` varchar(1) NOT NULL,
  `supp` varchar(1) NOT NULL default '0',
  PRIMARY KEY  (`id_groupe`)
);

-- 
-- Contenu de la table `phpmdj_auth`
-- 

INSERT INTO `phpmdj_auth` (`id_groupe`, `nom`, `a_admin`, `a_site`, `a_menu`, `a_equipe`, `a_animateur`, `a_anime`, `a_calendrier`, `a_banniere`, `a_news`, `a_download`, `a_souper`, `a_camp`, `a_lien`, `a_membre`, `a_forum`, `a_mdj`, `a_bureau`, `supp`) VALUES 
(1, 'Administrateurs', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1'),
(2, 'Membres', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1');

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_blocs`
-- 

CREATE TABLE `phpmdj_blocs` (
  `id_bloc` mediumint(9) NOT NULL auto_increment,
  `titre_bloc` varchar(50) NOT NULL,
  `contenu_bloc` text NOT NULL,
  `suppression` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id_bloc`)
);

-- 
-- Contenu de la table `phpmdj_blocs`
-- 

INSERT INTO `phpmdj_blocs` (`id_bloc`, `titre_bloc`, `contenu_bloc`, `suppression`) VALUES 
(1, 'Bienvenue', 'Merci d\'utiliser phpMDJ.<br />\r\nEn cas de probleme, le support reste a votre service.<br />\r\n<br />\r\nVous pouvez modifier le contenu de ce bloc dans la gestion des blocs.<br />\r\n<br />\r\n<strong>Weboac</strong>', 1);

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_blocspred`
-- 

CREATE TABLE `phpmdj_blocspred` (
  `id_bloc` mediumint(9) NOT NULL auto_increment,
  `titre_bloc` varchar(50) NOT NULL,
  `fonction_bloc` varchar(200) NOT NULL,
  PRIMARY KEY  (`id_bloc`)
);

-- 
-- Contenu de la table `phpmdj_blocspred`
-- 

INSERT INTO `phpmdj_blocspred` (`id_bloc`, `titre_bloc`, `fonction_bloc`) VALUES (1, 'Bloc Anniversaires', 'anniversaires_bloc'),
(2, 'Bloc Lien au hasard', 'randomLink_bloc'),
(3, 'Visiteurs du jour', 'today_bloc'),
(4, 'Membres en ligne', 'online_bloc'),
(5, 'Derniers messages de phpBB', 'phpBB_lastMsg_bloc'),
(6, 'Flux RSS - News', 'rss_bloc');

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_bureau`
-- 

CREATE TABLE `phpmdj_bureau` (
  `id_bureau` tinyint(4) NOT NULL,
  `nom` varchar(50) NOT NULL,
  `president` text NOT NULL,
  `tresorier` text NOT NULL,
  `secretaire` text NOT NULL,
  `cadre` text NOT NULL,
  `autre` text NOT NULL,
  PRIMARY KEY  (`id_bureau`)
);

-- 
-- Contenu de la table `phpmdj_bureau`
-- 

INSERT INTO `phpmdj_bureau` (`id_bureau`, `nom`, `president`, `tresorier`, `secretaire`, `cadre`, `autre`) VALUES (0, '', 'Prénom Nom : n° de téléphone', 'Prénom Nom : n° de téléphone', 'Prénom Nom : n° de téléphone<br />\r\nPrénom Nom : n° de téléphone', '', '');

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_calendrier`
-- 

CREATE TABLE `phpmdj_calendrier` (
  `id_event` bigint(20) NOT NULL auto_increment,
  `datej` varchar(2) NOT NULL,
  `datem` varchar(2) NOT NULL,
  `datea` varchar(4) NOT NULL,
  `titre` varchar(255) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY  (`id_event`)
);

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_camps`
-- 

CREATE TABLE `phpmdj_camps` (
  `id_camp` smallint(4) NOT NULL auto_increment,
  `annee` smallint(4) NOT NULL default '0',
  `endroit` varchar(255) NOT NULL default '',
  `theme` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id_camp`)
);

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_categories_liens`
-- 

CREATE TABLE `phpmdj_categories_liens` (
  `id_cat` smallint(6) NOT NULL auto_increment,
  `nom_cat` varchar(255) NOT NULL,
  `supp` varchar(1) NOT NULL default '0',
  PRIMARY KEY  (`id_cat`)
);

-- 
-- Contenu de la table `phpmdj_categories_liens`
-- 

INSERT INTO `phpmdj_categories_liens` (`id_cat`, `nom_cat`, `supp`) VALUES 
(1, 'Général', '1');

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_config`
-- 

CREATE TABLE `phpmdj_config` (
  `site_nom` varchar(35) NOT NULL,
  `site_desc` varchar(75) NOT NULL,
  `anniversaires_index` tinyint(1) NOT NULL,
  `anniversaires_calendrier` varchar(1) NOT NULL,
  `ban_couleur` varchar(10) NOT NULL,
  `ban_police` varchar(10) NOT NULL,
  `ban_taille` varchar(10) NOT NULL,
  `ban_fond` varchar(10) NOT NULL,
  `ban_img` varchar(255) NOT NULL,
  `img_menu` varchar(255) NOT NULL,
  `img_page` varchar(255) NOT NULL,
  `img_news1` varchar(255) NOT NULL,
  `img_news2` varchar(255) NOT NULL,
  `color_menu` varchar(255) NOT NULL,
  `color_page` varchar(255) NOT NULL,
  `color_news1` varchar(255) NOT NULL,
  `color_news2` varchar(255) NOT NULL,
  `pg_animateurs` varchar(1) NOT NULL,
  `photo_animateurs` varchar(1) NOT NULL default '1',
  `pg_equipes` varchar(1) NOT NULL,
  `photo_animes` varchar(1) NOT NULL default '1',
  `pg_calendrier` varchar(1) NOT NULL,
  `pg_inscriptions` varchar(1) NOT NULL default '1',
  `validation_ins` varchar(1) NOT NULL default '0',
  `validation_mail` varchar(100) NOT NULL,
  `pg_inbox` varchar(1) NOT NULL default '1',
  `pg_liens` varchar(1) NOT NULL default '1',
  `pg_memberlist` varchar(1) NOT NULL default '1',
  `pg_camp` varchar(1) NOT NULL default '1',
  `pg_who` varchar(1) NOT NULL default '1',
  `pg_mov` varchar(1) NOT NULL default '1',
  `pg_bureau` varchar(1) NOT NULL default '1',
  `totem` varchar(1) NOT NULL default '0',
  `download` varchar(1) NOT NULL default '0',
  `phpbb` varchar(1) NOT NULL default '0',
  `phpbb_dos` varchar(10) NOT NULL,
  `phpbb_pre` varchar(10) NOT NULL,
  `souper` varchar(1) NOT NULL,
  PRIMARY KEY  (`site_nom`)
);

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_download`
-- 

CREATE TABLE `phpmdj_download` (
  `id_download` mediumint(9) NOT NULL auto_increment,
  `titre` varchar(255) NOT NULL,
  `fichier` varchar(255) NOT NULL,
  `groupe` varchar(5) NOT NULL default 'Tous',
  `date` varchar(50) NOT NULL,
  PRIMARY KEY  (`id_download`)
);

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_equipes`
-- 

CREATE TABLE `phpmdj_equipes` (
  `id_equipe` tinyint(1) NOT NULL auto_increment,
  `nom` varchar(50) NOT NULL default '',
  `type` char(1) NOT NULL default '',
  `annee1` tinyint(4) NOT NULL default '0',
  `annee2` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id_equipe`)
);

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_forums`
-- 

CREATE TABLE `phpmdj_forums` (
  `id_forum` smallint(6) NOT NULL auto_increment,
  `identifiant` tinyint(4) NOT NULL,
  `nom` varchar(255) NOT NULL,
  PRIMARY KEY  (`id_forum`)
);

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_inbox`
-- 

CREATE TABLE `phpmdj_inbox` (
  `id_msg` bigint(20) NOT NULL auto_increment,
  `post_id` mediumint(11) NOT NULL default '0',
  `dest_id` mediumint(11) NOT NULL default '0',
  `sujet` varchar(255) NOT NULL default '',
  `date` varchar(255) NOT NULL default '',
  `message` text NOT NULL,
  `lu` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id_msg`)
);

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_liens`
-- 

CREATE TABLE `phpmdj_liens` (
  `id_lien` mediumint(9) NOT NULL auto_increment,
  `titre` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL default '',
  `cat` varchar(25) NOT NULL,
  PRIMARY KEY  (`id_lien`)
);

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_menudroite`
-- 

CREATE TABLE `phpmdj_menudroite` (
  `id_bloc` smallint(6) NOT NULL,
  `position_bloc` tinyint(2) NOT NULL,
  `type` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id_bloc`,`type`)
);

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_menugauche`
-- 

CREATE TABLE `phpmdj_menugauche` (
  `id_bloc` smallint(6) NOT NULL,
  `position_bloc` tinyint(2) NOT NULL,
  `type` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id_bloc`,`type`)
);

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_mouvement`
-- 

CREATE TABLE `phpmdj_mouvement` (
  `nom_mouvement` varchar(255) NOT NULL,
  `fct_texte` text NOT NULL,
  `equ_use` varchar(1) NOT NULL,
  `camp_use` varchar(1) NOT NULL,
  `camp_texte` text NOT NULL,
  `hist_use` varchar(1) NOT NULL,
  `hist_texte` text NOT NULL,
  `presi_use` varchar(1) NOT NULL,
  `presi_texte` text NOT NULL,
  PRIMARY KEY  (`nom_mouvement`)
);

-- 
-- Contenu de la table `phpmdj_mouvement`
-- 

INSERT INTO `phpmdj_mouvement` (`nom_mouvement`, `fct_texte`, `equ_use`, `camp_use`, `camp_texte`, `hist_use`, `hist_texte`, `presi_use`, `presi_texte`) VALUES 
('Nom du mouvement', '', '', '', '', '', '', '', '');

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_news`
-- 

CREATE TABLE `phpmdj_news` (
  `id_news` bigint(20) NOT NULL auto_increment,
  `titre` varchar(255) NOT NULL default '',
  `contenu` text NOT NULL,
  `auteur` varchar(255) NOT NULL,
  `idate` varchar(32) NOT NULL default '',
  `groupe` varchar(200) NOT NULL default '0',
  PRIMARY KEY  (`id_news`)
);

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_reservations`
-- 

CREATE TABLE `phpmdj_reservations` (
  `id_reservation` bigint(20) NOT NULL auto_increment,
  `nom` varchar(255) NOT NULL default '',
  `adultes` tinyint(2) NOT NULL default '0',
  `enfants` tinyint(2) NOT NULL default '0',
  PRIMARY KEY  (`id_reservation`)
);

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_souper`
-- 

CREATE TABLE `phpmdj_souper` (
  `titre` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `adulte` varchar(3) NOT NULL,
  `enfant` varchar(3) NOT NULL,
  `lieu` varchar(100) NOT NULL,
  `date` varchar(100) NOT NULL,
  `heure` varchar(100) NOT NULL,
  PRIMARY KEY  (`titre`)
);

-- 
-- Contenu de la table `phpmdj_souper`
-- 

INSERT INTO `phpmdj_souper` (`titre`, `description`, `adulte`, `enfant`, `lieu`, `date`, `heure`) VALUES 
('', '', '', '', '', '', '');

-- --------------------------------------------------------

-- 
-- Structure de la table `phpmdj_users`
-- 

CREATE TABLE `phpmdj_users` (
  `id` int(11) NOT NULL auto_increment,
  `pseudo` varchar(25) NOT NULL default '',
  `prenom` varchar(255) NOT NULL default '',
  `nom` varchar(255) NOT NULL default '',
  `mdp` varchar(50) NOT NULL,
  `email` varchar(255) NOT NULL default '',
  `last_connect` varchar(200) NOT NULL default '',
  `online` bigint(111) NOT NULL default '0',
  `position` varchar(255) NOT NULL default '',
  `website` varchar(255) NOT NULL default '',
  `groupe` bigint(20) NOT NULL default '2',
  `pm` varchar(1) NOT NULL default '1',
  `totem` varchar(100) NOT NULL,
  `bloc_cal` varchar(1) NOT NULL default '0',
  `actif` varchar(1) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `pseudo` (`pseudo`)
);